;***** Specify Device
.device AT90S2313

;***** I/O Register Definitions
.equ	SREG	=	$3f
.equ	SPL	=	$3d
.equ	GIMSK	=	$3b
.equ	GIFR	=	$3a
.equ	TIMSK	=	$39
.equ	TIFR	=	$38
.equ	MCUCR	=	$35
.equ	TCCR0	=	$33
.equ	TCNT0	=	$32
.equ	TCCR1A	=	$2f
.equ	TCCR1B	=	$2e
.equ	TCNT1H	=	$2d
.equ	TCNT1L	=	$2c
.equ	OCR1AH	=	$2b
.equ	OCR1AL	=	$2a
.equ	ICR1H	=	$25
.equ	ICR1L	=	$24
.equ	WDTCR	=	$21
.equ	EEAR	=	$1e
.equ	EEDR	=	$1d
.equ	EECR	=	$1c
.equ	PORTB	=	$18
.equ	DDRB	=	$17
.equ	PINB	=	$16
.equ	PORTD	=	$12
.equ	DDRD	=	$11
.equ	PIND	=	$10
.equ	UDR	=	$0c
.equ	USR	=	$0b
.equ	UCR	=	$0a
.equ	UBRR	=	$09
.equ	ACSR	=	$08


;***** Bit Definitions

;GIMSK
.equ	INT1	=7
.equ	INT0	=6

;GIFR
.equ	INTF1	=7
.equ	INTF0	=6
.equ	INTF2	=5

;TIMSK
.equ	TOIE1	= 7
.equ	OCIE1	= 6
.equ	ICIE1	= 3
.equ	TOIE0	= 1

;MCUCR
.equ	SE	= 6
.equ	SM	= 4
.equ	ISC11	= 3
.equ	ISC10	= 2
.equ	ISC01	= 1
.equ	ISC00	= 0

;TCCR0
.equ	CS02	=2
.equ	CS01	=1
.equ	CS00	=0

;TCCR1A
.equ	COM1A1	=7
.equ	COM1A0	=6
.equ	PWM11	=1
.equ	PWM10	=0

;TCCR1B
.equ	ICNC1	=7
.equ	ICES1	=6
.equ	CTC1	=3
.equ	CS12	=2
.equ	CS11	=1
.equ	CS10	=0

;EECR
.equ	EERIE	=3
.equ	EEMWE	=2
.equ	EEWE	=1
.equ	EERE	=0

;PORTB
.equ	PB7	=7
.equ	PB6	=6
.equ	PB5	=5
.equ	PB4	=4
.equ	PB3	=3
.equ	PB2	=2
.equ	PB1	=1
.equ	PB0	=0

;DDRB
.equ	DDB7	=7
.equ	DDB6	=6
.equ	DDB5	=5
.equ	DDB4	=4
.equ	DDB3	=3
.equ	DDB2	=2
.equ	DDB1	=1
.equ	DDB0	=0

;PINB
.equ	PINB7	=7
.equ	PINB6	=6
.equ	PINB5	=5
.equ	PINB4	=4
.equ	PINB3	=3
.equ	PINB2	=2
.equ	PINB1	=1
.equ	PINB0	=0

;PORTD
.equ	PD7	=7
.equ	PD6	=6
.equ	PD5	=5
.equ	PD4	=4
.equ	PD3	=3
.equ	PD2	=2
.equ	PD1	=1
.equ	PD0	=0

;DDRD
.equ	DDD7	=7
.equ	DDD6	=6
.equ	DDD5	=5
.equ	DDD4	=4
.equ	DDD3	=3
.equ	DDD2	=2
.equ	DDD1	=1
.equ	DDD0	=0

;PIND
.equ	PIND7	=7
.equ	PIND6	=6
.equ	PIND5	=5
.equ	PIND4	=4
.equ	PIND3	=3
.equ	PIND2	=2
.equ	PIND1	=1
.equ	PIND0	=0

;ACSR
.equ	ACD	= 7
.equ	ACO	= 5
.equ	ACIF	= 4
.equ	ACIE	= 3
.equ	ACIC	= 2
.equ	ACIS1	= 1
.equ	ACIS0	= 0

;X,Y,Z pointer
.def	XL	=r26
.def	XH	=r27
.def	YL	=r28
.def	YH	=r29
.def	ZL	=r30
.def	ZH	=r31

.equ 	FLASHEND	= $400
.equ 	E2END	= $7F
.equ	RAMEND	= $dF

.equ	INT0addr	= $001
.equ	INT1addr	= $002
.equ	TCT1addr	= $003
.equ	TCP1addr	= $004
.equ	TOF1addr	= $005
.equ	TOF0addr	= $006
.equ	URXaddr	= $007
.equ	UDRaddr	= $008
.equ	UTXaddr	= $009
.equ	ACPaddr	= $00a
